# Application Releases Repository

This repository is intended for public (not open-source) releases of various applications. It will contain multiple applications for multiple release types.

## Applications

### Vet-Console (Flutter Windows Application)

The first application available in this repository is Vet-Console, a Flutter Windows application. This application is currently available for the development environment, with other environments to be added in the future.

#### Contents

The releases are organized into folders by application, environment, and version. For example, the structure for the Vet-Console application in the development environment would be `vet-console/dev/{version}`.

- `vet-console/dev/{version}/installer.exe`: This is the executable file to install the specific version of the Vet-Console application on your Windows machine. Replace `{version}` with the actual version number.
- `vet-console/dev/{version}/appcast.xml`: This file is used for automatic updates of the Vet-Console application for the specific version. Replace `{version}` with the actual version number.
- `vet-console/dev/{version}/changelog.html`: This file contains the changelog for the specific version of the Vet-Console application, detailing the changes made in that update. Replace `{version}` with the actual version number.

In addition to the version-specific folders, there is a `latest` folder which always contains the most recent release:

- `vet-console/dev/latest/installer.exe`: This is the executable file to install the latest version of the Vet-Console application on your Windows machine.
- `vet-console/dev/latest/appcast.xml`: This file is used for automatic updates of the Vet-Console application for the latest version.
- `vet-console/dev/latest/changelog.html`: This file contains the changelog for the latest version of the Vet-Console application, detailing the changes made in the most recent update.

## Future Plans

In the future, this repository will be updated to include more applications and environments. Stay tuned for updates.

## Contact

If you have any questions or issues, please open an issue in this repository.